<?php

namespace Intergo\UserCallbackClient\Services;

use Intergo\UserCallbackClient\Enums\UserCallbackEnum;

class UserQueueManager extends AbstractRedisManager
{
    /**
     * @return string
     */
    public function key()
    {
        return UserCallbackEnum::USER_CALLBACK_QUEUES_CACHE_KEY;
    }


    /**
     * @param string $field
     * @param mixed $value
     * @return void
     */
    public function hSet(string $field, $value)
    {
        $this->cacheConnection()->hset($this->key(), $field, $value);
    }

    /**
     * @param string $field
     * @return mixed
     */
    public function hGet(string $field)
    {
        return $this->cacheConnection()->hget($this->key(), $field);
    }

    /**
     * @return mixed
     */
    public function hGetAll()
    {
        return $this->cacheConnection()->hGetAll($this->key());
    }
}